OGRE: Ogre::Terrain::DerivedDataResponse Struct Reference - OGRE Documentation

Public Attributes | Friends

# Ogre::Terrain::DerivedDataResponse Struct Reference

A data holder for communicating with the background derived data update. More...

`#include <OgreTerrain.h>`

List of all members.

## Public Attributes
Terrain * | terrain
uint8 | remainingTypeMask
Rect | deltaUpdateRect
Rect | normalUpdateRect
Rect | lightmapUpdateRect
PixelBox * | normalMapBox
PixelBox * | lightMapBox
## Friends
_OgreTerrainExport friend std::ostream & | operator<< (std::ostream &o, const DerivedDataResponse &r)

## Detailed Description

A data holder for communicating with the background derived data update.

Definition at line 1714 of file OgreTerrain.h.

## Friends And Related Function Documentation

_OgreTerrainExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const DerivedDataResponse & | r |
| ) |  |  | `[friend]`

Definition at line 1728 of file OgreTerrain.h.

## Member Data Documentation

Rect Ogre::Terrain::DerivedDataResponse::deltaUpdateRect

Definition at line 1720 of file OgreTerrain.h.

PixelBox* Ogre::Terrain::DerivedDataResponse::lightMapBox

Definition at line 1727 of file OgreTerrain.h.

Rect Ogre::Terrain::DerivedDataResponse::lightmapUpdateRect

Definition at line 1724 of file OgreTerrain.h.

PixelBox* Ogre::Terrain::DerivedDataResponse::normalMapBox

Definition at line 1726 of file OgreTerrain.h.

Rect Ogre::Terrain::DerivedDataResponse::normalUpdateRect

Definition at line 1722 of file OgreTerrain.h.

uint8 Ogre::Terrain::DerivedDataResponse::remainingTypeMask

Definition at line 1718 of file OgreTerrain.h.

Terrain* Ogre::Terrain::DerivedDataResponse::terrain

Definition at line 1716 of file OgreTerrain.h.

The documentation for this struct was generated from the following file:

- OgreTerrain.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04